<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
    <head>
        <meta charset="UTF-8">
        <title>Recruitment</title>
    </head>
    <body>

        <section layout:fragment="breadcrumb" class="content-header">
            <h1>
                Support File for Recruitment
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li class="treeview active"> Recruitment</li>
                <li class="active"> Publish</li>
            </ol>
        </section>

        <section layout:fragment="main" class="content">

            <div class="row">
                <div class="col-md-12">
                    <div class="box box-default">
                        <div class="box-header with-header">
                            <h3 class="box-title">Detail Recruitment</h3>
                        </div>
                        <div class="box-body">
                            <div class="col-md-12">
                                <table class="table table-bordered">
                                    <tr>
                                        <th style="width: 200px">Requested By</th>
                                        <th style="width: 200px">For Department</th>
                                        <th style="width: 200px">For Position</th>
                                        <th style="width: 200px">Gender</th>
                                        <th style="width: 200px">Quantity</th>
                                        <th style="width: 200px">Date Request</th>
                                    </tr>
                                    <tr>
                                        <td th:text="${recruitment.employes.fullName}">BEASISWA</td>
                                        <td th:text="${recruitment.department.departmentName}">BEASISWA</td>
                                        <td th:text="${recruitment.position.positionName}">BEASISWA</td>
                                        <td th:text="${recruitment.gender}">BEASISWA</td>
                                        <td th:text="${recruitment.quantity}"></td>
                                        <td th:text="${#temporals.format(recruitment.dateRequest,'dd-MMM-yyyy')}">BEASISWA</td>
                                    </tr>
                                    <tr>
                                        <th>Qualification</th>
                                        <td colspan="5" th:utext="${recruitment.qualification}">BEASISWA</td>
                                    </tr>
                                    <tr>
                                        <th>Description</th>
                                        <td colspan="5" th:utext="${recruitment.descriptionHrd}">BEASISWA</td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">

                <div class="col-md-12">
                    <!-- Horizontal Form -->
                    <div class="box box-info">
                        <div class="box-header with-border">
                            <h3 class="box-title">Input Support File</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        <form class="form-horizontal" method="post" th:action="@{/recruitment/support/save}" th:object="${recruitment}" enctype="multipart/form-data">
                            <div class="box-body">
                                <input type="hidden" name="request" th:value="${recruitment.id}">
                                <div class="js-repeater" data-repeater-input-name="user[n]">
                                    <div class="grid gap-xs js-repeater__list">
                                        <div class="js-repeater__item">
                                            <div class="grid gap-xs">
                                                <div class="row">
                                                    <div class="col-md-11">
                                                        <label >Name</label>
                                                        <input class="form-control col" name="support" type="text"><br>
<!--                                                        <label >Desc</label>-->
<!--                                                        <textarea name="description" cols="10" rows="4" class="form-control"></textarea>-->
                                                    </div>
                                                    <div class="col-md-1">
                                                        <button style="margin-top: 24px;" class="btn btn-danger padding-x-xs col-content js-repeater__remove" type="button">
                                                            <i class="fa fa-minus"></i>
                                                        </button>
                                                    </div>
                                                </div>
                                                <br>
                                            </div>
                                        </div>
                                    </div>

                                    <button class="btn btn-primary width-100% margin-top-xs js-repeater__add" type="button">+ Add Item</button>
                                </div>

                            </div>
                            <div class="box-footer">
                                <a th:href="@{/recruitment/publish}" class="btn btn-default">Cancel</a>
                                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                            </div>
                            <!-- /.box-footer -->
                        </form>
                    </div>
                </div>
            </div>
        </section>
        <section layout:fragment="footer" class="script">

        <script src="https://codyhouse.co/assets/js/min/main.min.js?v=204"></script>
            <script>
                $(function () {
                    // REPEATER

                    var Repeater = function(element) {
                        this.element = element;
                        this.blockWrapper = this.element.getElementsByClassName('js-repeater__list');
                        if(this.blockWrapper.length < 1) return;
                        this.blocks = false;
                        getBlocksList(this);
                        this.firstBlock = false;
                        this.addNew = this.element.getElementsByClassName('js-repeater__add');
                        this.cloneClass = this.element.getAttribute('data-repeater-class');
                        this.inputName = this.element.getAttribute('data-repeater-input-name');
                        initRepeater(this);
                    };

                    function initRepeater(element) {
                        if(element.addNew.length < 1 || element.blocks.length < 1 || element.blockWrapper.length < 1 ) return;
                        element.firstBlock = element.blocks[0].cloneNode(true);

                        // detect click on a Remove button
                        element.element.addEventListener('click', function(event) {
                            var deleteBtn = event.target.closest('.js-repeater__remove');
                            if(deleteBtn) {
                                event.preventDefault();
                                removeBlock(element, deleteBtn);
                            }
                        });

                        // detect click on Add button
                        element.addNew[0].addEventListener('click', function(event) {
                            event.preventDefault();
                            addBlock(element);
                        });
                    };

                    function addBlock(element) {
                        if(element.blocks.length > 0) {
                            var clone = element.blocks[element.blocks.length - 1].cloneNode(true),
                                nameToReplace = element.inputName.replace('[n]', '['+(element.blocks.length - 1)+']'),
                                newName = element.inputName.replace('[n]', '['+element.blocks.length+']');
                        } else {
                            var clone =  element.firstBlock.cloneNode(true),
                                nameToReplace = element.inputName.replace('[n]', '[0]'),
                                newName = element.inputName.replace('[n]', '[0]');
                        }

                        if(element.cloneClass) Util.addClass(clone, element.cloneClass);
                        // modify name/for/id attributes
                        updateBlockAttrs(clone, nameToReplace, newName, true);

                        element.blockWrapper[0].appendChild(clone);
                        // update blocks list
                        getBlocksList(element)
                    };

                    function removeBlock(element, trigger) {
                        var block = trigger.closest('.js-repeater__item');
                        if(block) {
                            var index = Util.getIndexInArray(element.blocks, block);
                            block.remove();
                            // update blocks list
                            getBlocksList(element);
                            // need to reset all blocks after that -> name/for/id values
                            for(var i = index; i < element.blocks.length; i++) {
                                updateBlockAttrs(element.blocks[i], element.inputName.replace('[n]', '['+(i+1)+']'), element.inputName.replace('[n]', '['+i+']'));
                            }
                        }
                    };

                    function updateBlockAttrs(block, nameToReplace, newName, reset) {
                        var nameElements = block.querySelectorAll('[name^="'+nameToReplace+'"]'),
                            forElements = block.querySelectorAll('[for^="'+nameToReplace+'"]'),
                            idElements = block.querySelectorAll('[id^="'+nameToReplace+'"]');

                        for(var i = 0; i < nameElements.length; i++) {
                            var nameAttr = nameElements[i].getAttribute('name');
                            nameElements[i].setAttribute('name', nameAttr.replace(nameToReplace, newName));
                            if(reset && nameElements[i].value) nameElements[i].value = '';
                        }

                        for(var i = 0; i < forElements.length; i++) {
                            var forAttr = forElements[i].getAttribute('for');
                            forElements[i].setAttribute('for', forAttr.replace(nameToReplace, newName));
                        }

                        for(var i = 0; i < idElements.length; i++) {
                            var idAttr = idElements[i].getAttribute('id');
                            idElements[i].setAttribute('id', idAttr.replace(nameToReplace, newName));
                        }
                    };

                    function getBlocksList(element) {
                        element.blocks = Util.getChildrenByClassName(element.blockWrapper[0], 'js-repeater__item');
                    };

                    //initialize the Repeater objects
                    var repeater = document.getElementsByClassName('js-repeater');
                    if( repeater.length > 0 ) {
                        for( var i = 0; i < repeater.length; i++) {
                            (function(i){new Repeater(repeater[i]);})(i);
                        }
                    };

                    // CKEDITOR

                    CKEDITOR.replace('desc');

                    //Initialize Select2 Elements
                    $('.select2').select2()

                    //Datemask dd/mm/yyyy
                    $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
                    //Datemask2 mm/dd/yyyy
                    $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
                    //Money Euro
                    $('[data-mask]').inputmask()

                    //Date range picker
                    $('#reservation').daterangepicker()
                    //Date range picker with time picker
                    $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
                    //Date range as a button
                    $('#daterange-btn').daterangepicker(
                        {
                            ranges   : {
                                'Today'       : [moment(), moment()],
                                'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                                'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                                'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                                'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                                'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                            },
                            startDate: moment().subtract(29, 'days'),
                            endDate  : moment()
                        },
                        function (start, end) {
                            $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                        }
                    )

                    //Date picker
                    $('#datepicker').datepicker({
                        autoclose: true
                    })
                    $('#tanggalString').datepicker({
                        autoclose: true
                    })
                    $('#endDateString').datepicker({
                        autoclose: true
                    })

                    //iCheck for checkbox and radio inputs
                    $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                        checkboxClass: 'icheckbox_minimal-blue',
                        radioClass   : 'iradio_minimal-blue'
                    })
                    //Red color scheme for iCheck
                    $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                        checkboxClass: 'icheckbox_minimal-red',
                        radioClass   : 'iradio_minimal-red'
                    })
                    //Flat red color scheme for iCheck
                    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                        checkboxClass: 'icheckbox_flat-green',
                        radioClass   : 'iradio_flat-green'
                    })

                    //Colorpicker
                    $('.my-colorpicker1').colorpicker()
                    //color picker with addon
                    $('.my-colorpicker2').colorpicker()

                    //Timepicker
                    $('.timepicker').timepicker({
                        showInputs: false
                    })
                })
            </script>
            <script>
                $(".js-example-placeholder-single").select2({
                    placeholder: "Pilih Salah Satu",
                    allowClear: true
                });

                $('.simpan').click(function () {
                    Swal.fire({
                        position: 'top-end',
                        type: 'success',
                        title: 'Your work has been saved',
                        showConfirmButton: false
                    })
                });
            </script>
        </section>
    </body>
</html>